Skip to main content
GET
/
api
/
reports
/
trial-balance-sheet
Get trial balance sheet
curl --request GET \
  --url https://api.example.com/api/reports/trial-balance-sheet \
  --header 'Authorization: <authorization>' \
  --header 'accept: <accept>' \
  --header 'organization-id: <organization-id>'
{
  "query": {
    "fromDate": "<string>",
    "toDate": "<string>",
    "accountIds": [
      123
    ],
    "noneZero": true,
    "noneTransactions": true,
    "basis": "cash",
    "displayColumnsType": "total",
    "displayColumnsBy": "day"
  },
  "data": [
    {
      "id": 123,
      "name": "<string>",
      "code": "<string>",
      "openingBalance": {
        "amount": 123,
        "formattedAmount": "<string>",
        "currencyCode": "<string>",
        "date": {}
      },
      "closingBalance": {
        "amount": 123,
        "formattedAmount": "<string>",
        "currencyCode": "<string>",
        "date": {}
      },
      "debitTotal": {
        "amount": 123,
        "formattedAmount": "<string>",
        "currencyCode": "<string>",
        "date": {}
      },
      "creditTotal": {
        "amount": 123,
        "formattedAmount": "<string>",
        "currencyCode": "<string>",
        "date": {}
      },
      "debit": {
        "amount": 123,
        "formattedAmount": "<string>",
        "currencyCode": "<string>",
        "date": {}
      },
      "credit": {
        "amount": 123,
        "formattedAmount": "<string>",
        "currencyCode": "<string>",
        "date": {}
      },
      "periodBalance": {
        "amount": 123,
        "formattedAmount": "<string>",
        "currencyCode": "<string>",
        "date": {}
      },
      "accountNormal": "debit",
      "index": 123
    }
  ],
  "meta": {
    "organizationName": "<string>",
    "baseCurrency": "<string>",
    "dateFormat": "<string>",
    "isCostComputeRunning": true,
    "sheetName": "<string>",
    "formattedFromDate": "<string>",
    "formattedToDate": "<string>",
    "formattedDateRange": "<string>",
    "openingBalanceAt": "2023-11-07T05:31:56Z",
    "closingBalanceAt": "2023-11-07T05:31:56Z",
    "formattedOpeningBalanceDate": "<string>",
    "formattedClosingBalanceDate": "<string>"
  }
}

Headers

Authorization
string
required

Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.

Example:

"Bearer bc_1234567890abcdef"

organization-id
string
required

Required if Authorization is a JWT token. The organization ID to operate within.

accept
string
required

Query Parameters

fromDate
string<date-time>

Start date for the trial balance sheet

toDate
string<date-time>

End date for the trial balance sheet

precision
number

Number of decimal places to display

Example:

2

divideOn1000
boolean

Whether to divide the number by 1000

Example:

false

showZero
boolean

Whether to show zero values

Example:

true

formatMoney
enum<string>

How to format money values

Available options:
total,
always,
none
Example:

"total"

negativeFormat
enum<string>

How to format negative numbers

Available options:
parentheses,
mines
Example:

"parentheses"

basis
enum<string>

Accounting basis for the report

Available options:
cash,
accrual
noneZero
boolean
default:false

Filter out zero balance accounts

noneTransactions
boolean
default:false

Filter out accounts with no transactions

onlyActive
boolean
default:false

Show only active accounts

accountIds
number[]

Filter by specific account IDs

Response

Trial balance sheet

query
object
required

Query parameters used to generate the report

data
object[]
required

Trial balance sheet data

meta
object
required

Report metadata